%define name mj
%define version 1.0.2
%define release 3mdk

Name: %{name}
Version: %{version}
Release: %{release}
Summary: mj is the Chinese game of mah-jong.
Source: http://www.dcs.ed.ac.uk/home/jcb/stevens-bradfield/MahJong/Downloads/mj-%{version}-src.tar.bz2
Group: Amusements/Games
License: GPL
BuildRoot: %{_tmppath}/%{name}-root

%description
mj is the Chinese game of mah-jong. mj supports network play, as well as 
simple human to computer play. A Windows (tm) version of this game is
also available.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}-src

%build
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT" BINDIR="%_bindir"
make install.man MANDIR="%_mandir/man1" DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc  ChangeLog [A-Z][A-Z]*
%{_bindir}/*
%{_mandir}/man?/*

%changelog 
* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-3mdk
- rebuild

* Mon Feb 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.2-2mdk
- Fix defattr.

* Mon Feb 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.2-1mdk
- First RPM for Mandrake.

